^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Changelog for package ament_cmake_google_benchmark
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

1.3.1 (2022-03-28)
------------------

1.3.0 (2022-02-17)
------------------
* Update forthcoming version in changelog
* Contributors: Audrow Nash

1.2.1 (2022-01-14)
------------------
* Resolve various ament_lint linter violations (`#360 <https://github.com/ament/ament_cmake/issues/360>`_)
  We can't add ament_lint linters in ament_cmake in the traditional way
  without creating a circular dependency between the repositories. Even
  though we can't automatically enforce linting, it's still a good idea to
  try to keep conformance where possible.
* Update maintainers to Michael Jeronimo and Michel Hidalgo (`#362 <https://github.com/ament/ament_cmake/issues/362>`_)
* Contributors: Audrow Nash, Scott K Logan

1.2.0 (2021-10-29)
------------------
* Use FindPython3 instead of FindPythonInterp (`#355 <https://github.com/ament/ament_cmake/issues/355>`_)
* Update maintainers (`#336 <https://github.com/ament/ament_cmake/issues/336>`_)
* Contributors: Chris Lalancette, Shane Loretz

1.1.4 (2021-05-06)
------------------

1.1.3 (2021-03-09)
------------------

1.1.2 (2021-02-26 22:59)
------------------------

1.1.1 (2021-02-26 19:12)
------------------------

1.1.0 (2021-02-24)
------------------
* Serialize benchmarks within CTest by default (`#308 <https://github.com/ament/ament_cmake/issues/308>`_)
* Contributors: Scott K Logan

1.0.4 (2021-01-25)
------------------

1.0.3 (2020-12-10)
------------------

1.0.2 (2020-12-07)
------------------
* Handle runtime failures in Google Benchmark (`#294 <https://github.com/ament/ament_cmake/issues/294>`_)
  This change will handle runtime failures in Google Benchmark by
  propagating error information from Google Benchmark to both CTest and
  the Jenkins benchmark plugin.
* Use consistent string format and resolve flake8 (`#295 <https://github.com/ament/ament_cmake/issues/295>`_)
  Follow-up to a5fb3112b5c46c42b1824c96af4171d469eb13bf
* Make ament_cmake_test a dep of ament_cmake_google_benchmark (`#293 <https://github.com/ament/ament_cmake/issues/293>`_)
* Catch JSONDecodeError and printout some debug info (`#291 <https://github.com/ament/ament_cmake/issues/291>`_)
* Update package maintainers. (`#286 <https://github.com/ament/ament_cmake/issues/286>`_)
* Contributors: Michel Hidalgo, Scott K Logan, brawner

1.0.1 (2020-09-10)
------------------
* Make AMENT_RUN_PERFORMANCE_TESTS a CMake option (`#280 <https://github.com/ament/ament_cmake/issues/280>`_)
* Skip performance tests using a CMake variable (`#278 <https://github.com/ament/ament_cmake/issues/278>`_)
  These tests can be fairly heavy, so we don't want to run them by
  default. It would be better if there was a way to skip the tests by
  default in such a way that they could be specifically un-skipped at
  runtime, but I can't find a mechanism in CMake or CTest that would allow
  us to achieve that behavior without leveraging environment variables.
* Handle Google Benchmark 'aggregate' results (`#276 <https://github.com/ament/ament_cmake/issues/276>`_)
  Previously, I assumed all results generated by Google Benchmark were of
  'iteration' type. Now that I have more experience with Google Benchmark,
  I've started generating aggregate results, which contain some different
  properties.
  This change adds support for aggregate results and should make it easy
  to add any other result schemas we encounter in the future. For
  forward-compatibility, unsupported types will generate a warning message
  but will not fail the test. This makes the conversion tolerant to Google
  Benchmark adding new measures for existing mechanisms.
* Initial Google Benchmark results conversion (`#275 <https://github.com/ament/ament_cmake/issues/275>`_)
* Contributors: Scott K Logan

1.0.0 (2020-07-22)
------------------
* Handle missing results file for Google Benchmark (`#265 <https://github.com/ament/ament_cmake/issues/265>`_)
* Initial ament_cmake_google_benchmark package (`#261 <https://github.com/ament/ament_cmake/issues/261>`_)
* Contributors: Scott K Logan

0.9.6 (2020-06-23)
------------------

0.9.5 (2020-06-02)
------------------

0.9.4 (2020-05-26)
------------------

0.9.3 (2020-05-19)
------------------

0.9.2 (2020-05-07)
------------------

0.9.1 (2020-04-24 15:45)
------------------------

0.9.0 (2020-04-24 12:25)
------------------------

0.8.1 (2019-10-23)
------------------

0.8.0 (2019-10-04)
------------------

0.7.3 (2019-05-29)
------------------

0.7.2 (2019-05-20)
------------------

0.7.1 (2019-05-07)
------------------

0.7.0 (2019-04-08)
------------------

0.6.0 (2018-11-13)
------------------

0.5.1 (2018-07-17)
------------------

0.5.0 (2018-06-13)
------------------

0.4.0 (2017-12-08)
------------------
